Part Behälter

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어

Part Box.svg Part Quader

Menüeintrag
Formteil → Grundkörper → Würfel
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundkörper

Beschreibung

Der Würfel-Befehl aus dem Part-Arbeitsbereich fügt einen parametrischen Quaderförmigen geometrischen Grundkörper in das aktive Dokument ein. Als Standardvorgabe wird der Würfel-Befehl einen 10x10x10mm-Würfel am Ursprung mit der Bezeichnung "Cube" einfügen. Diese Parameter können nach dem Hinzufügen verändert werden.

Part_Box

Anwendung

  1. Wechsle zum Workbench Part.svg Part Arbeitsbereich
  2. Aufrufen des Befehls auf verschiedene Weise:
    • Drücke die Part Box.svg WürfelSchaltfläche in der Werkzeugleiste.
    • Wähle den Part → Grundkörper → Part Box.svg Würfel in der Menüleiste.

Ergebnis: Das Standardergebnis ist ein Würfel mit gleicher Länge, Breite und Höhe von 10mm. Er steht auf der xy-Ebene und hat eine gemeinsame Kante mit der z-Achse.

Die Würfeleigenschaften können später geändert werden, entweder im Eigenschaftseditor oder durch doppelklicken des Würfels in der Baumansicht.

Eigenschaften

Base

  • DatenPlacement: Gibt die Ausrichtung und Position des Würfels im 3D-Raum an. Siehe Positionierung. Der Referenzpunkt ist die vordere linke untere Ecke des Würfels.
  • DatenLabel: Das Label ist der zugeordnete Name der Operation. Dieser Name kann nach Belieben geändert werden.

Box

  • DatenLength: Die Länge des Würfel-Objekts in X-Richtung.
  • DatenWidth: Die Breite des Würfel-Objekts in Y-Richtung.
  • DatenHeight: Die Höhe des Würfel-Objekts in Z-Richtung.

Formteil_Würfel-Eigenschaften

Scripting

Der Würfel-Befehl kann mit Makros und von der Python-Konsole aus mithilfe der folgenden Funktion verwendet werden:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Wobei "myBox" die Bezeichnung für das Würfel-Objekt ist.
  • Liefert das neu erstellte Objekt vom Typ 'Box' zurück.

Du kannst die Attribute des Box-Objekts ansehen und verändern. Du kannst beispielsweise die Werte für Länge, Breite und Höhe ändern.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Du kannst die Position wählen mit:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))